// Copyright 2002 Macromedia, Inc. and its licensors.  All Rights Reserved.
//
// Use and/or redistribution of this file, in whole or in part, is subject
// to the Macromedia Sample Files License, which was distributed with this file.
//
//----------------------------------------------------------------------
//
// 
//
//
/*
	This file contains functions only, and is associated with the main timeline.

	It contains code to initialize the checkout widgets.

	#include info for this file:

			FLA:				main.fla

			Layer:				Actions : Class Definitions

			Frame:				1

			Library Symbol:		N/A (included on main timeline)

			Library Path:		
*/

//
//----------------------------------------------------------------------
//initCheckoutWidgets
//
// The checkoutWidgetGroupObj controls animations of the checkout 
// sections.
//
// This function inserts the checkout section movie clips into the 
// checkoutWidgetGroupObj.
//----------------------------------------------------------------------
function initCheckoutWidgets() {
	_global.checkoutWidgetGroupObj.addWidget(checkoutWidget_mc.profileFlds_mc, _global.tabController, "ProfileUI", TabConstants.prototype.ProfileUIStartTab);
	_global.checkoutWidgetGroupObj.addWidget(checkoutWidget_mc.billingFlds_mc, _global.tabController, "BillingFieldsUI", TabConstants.prototype.BillingFieldsUIStartTab);
	_global.checkoutWidgetGroupObj.addWidget(checkoutWidget_mc.shippingFlds_mc, _global.tabController, "ShippingFieldsUI", TabConstants.prototype.ShippingFieldsUIStartTab);
	_global.checkoutWidgetGroupObj.addWidget(checkoutWidget_mc.shippingMethodFlds_mc, _global.tabController, "ShippingMethodsUI", TabConstants.prototype.ShippingMethodsUIStartTab);
	_global.checkoutWidgetGroupObj.addWidget(checkoutWidget_mc.paymentFlds_mc, _global.tabController, "PaymentMethodsUI", TabConstants.prototype.PaymentMethodsUIStartTab);
	_global.checkoutWidgetGroupObj.setWidgetBottomCap(checkoutWidget_mc.checkoutBottomCap_mc);
	checkoutWidget_mc.init(_global.tabController, _global.checkoutWidgetGroupObj,
			_global.appStrings, _global.cart, _global.user, _global.orderer);
	checkoutWidget_mc.startListening();
}
//Authors: Brian Kruse (bkruse), Buck Bito (bbito)
