// Copyright 2002 Macromedia, Inc. and its licensors.  All Rights Reserved.
//
// Use and/or redistribution of this file, in whole or in part, is subject
// to the Macromedia Sample Files License, which was distributed with this file.
//
//----------------------------------------------------------------------
//
// topNav initialization function definitions- these functions initialize
// the text-based navigation group on the top of the UI.
// 
//
/*
	This file contains functions only, and is not associated with a movie clip.

	#include info for this file:

			FLA:				main.fla

			Layer:				Actions : Class Definitions

			Frame:				1

			Library Symbol:		N/A (included on main timeline)

			Library Path:		
*/
//
//

//----------------------------------------------------------------------
//initTopNav
//----------------------------------------------------------------------
function initTopNav()
{
	topNav_mc.addButton(_global.appStrings.AFFILIATE_BTN_LBL_str, "infoBtn", "infoBtnCallback", "getAffiliateStrings");
	topNav_mc.addButton(_global.appStrings.LEGAL_NOTICES_BTN_LBL_str, "infoBtn", "infoBtnCallback", "getLegalStrings");
	topNav_mc.addButton(_global.appStrings.ABOUT_US_BTN_LBL_str, "infoBtn", "infoBtnCallback", "getAboutUsStrings");
	topNav_mc.addButton(_global.appStrings.HOME_BTN_LBL_str, "navBtn", "homeBtnCallback");
	topNav_mc.initButtons();
	
	//:TRICKY: The button movieClip below is not directly related to the topNavUI class;
	// it is a one-of-a-kind UI element which is best included here.
	logoHomeBtn_mc.onPress = _global.goHome;
	logoHomeBtn_mc.useHandCursor = true;
	topNav_mc.initTabs(_global.tabController);
}
//Authors: Brian Kruse (bkruse), Buck Bito (bbito)
